Robotics Service Bus - Bug #490

Scope() with unicode argument fails (at least) for remote server calls (always)
08/09/2011 11:11 AM - Anonymous

Status: Closed Start date: 08/09/2011
Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%
Category: Python Estimated time: 0.00 hour
Target version: 0.4

Description

Working code:
server = createRemoteServer(Scope('/example/server’))
server.methodOne('blabla’)

Failing code:
server = createRemoteServer(Scope(u'/example/server'))
server.methodOne('blabla’)

Program fails on the methodOne line with error:

rsb.patterns.RemoteCallError: failed to call method "methodOne" on remote server with scope Scope[/example/server/]:
TypeError("u'/example/server/request/methodOne/' has type <type 'unicode’>, but expected one of: (<type 'str'>,)",)

Associated revisions

Revision fe3dcc08 - 08/10/2011 05:08 AM - J. Moringen
Fixed handling of unicode objects in Scope constructor in rsb/__init__.py
fixes #490
- rsb/__init__.py: convert unicode objects to str objects using ASCII
encoding in Scope constructor; raise a ValueError if this conversion
is impossible
- test/coretest.py: test handling of unicode objects as string
representation of scopes

History

#1 - 08/09/2011 11:13 AM - J. Wienke
- Assignee changed from J. Wienke to J. Moringen
- Target version set to 0.4

#2 - 08/10/2011 05:08 AM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r2328.
#3 - 08/10/2011 05:09 AM - J. Moringen

- Description updated

- Status changed from Resolved to Feedback
#4 - 08/10/2011 06:37 PM - J. Moringen

- Status changed from Feedback to Closed

Seems to be fixed.
